> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Available Contents

> Search for available contents that can be linked to the assistant.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/assistants/{assistant_id}/knowledge/contents/search
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/assistants/{assistant_id}/knowledge/contents/search:
    get:
      tags:
        - Orgs Assistants
      summary: Search Available Contents
      description: Search for available contents that can be linked to the assistant.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the assistant
          name: assistant_id
          in: path
        - schema:
            type: string
            maxLength: 256
          required: false
          name: search
          in: query
        - schema:
            $ref: '#/components/schemas/QueryVectorContentTypeSchema'
          required: false
          name: type
          in: query
        - schema:
            $ref: '#/components/schemas/QueryVectorContentStatusSchema'
          required: false
          name: status
          in: query
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      responses:
        '200':
          description: An array of available vector contents.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AssistantAvailableVectorContentSchema'
components:
  schemas:
    QueryVectorContentTypeSchema:
      type: string
      enum:
        - ALL
        - TEXT
        - FILE
        - URL
    QueryVectorContentStatusSchema:
      type: string
      enum:
        - ALL
        - PENDING
        - PROCESSING
        - PROCESSED
        - FAILED
    AssistantAvailableVectorContentSchema:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
          description: Title of the vector
        type:
          $ref: '#/components/schemas/VectorTypeSchema'
        status:
          $ref: '#/components/schemas/VectorStatusSchema'
        linked:
          type: boolean
      required:
        - id
        - title
        - type
        - status
        - linked
      description: Schema for vector content
    VectorTypeSchema:
      type: string
      enum:
        - TEXT
        - FILE
        - URL
      description: Type of the vector content
    VectorStatusSchema:
      type: string
      enum:
        - PENDING
        - PROCESSING
        - PROCESSED
        - FAILED
      description: Status of vector processing
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````